Subject: Re: bug#32607: 27.0.50; pop-to-buffer in next-error-no-select

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Sep 2018 09:28:56 +0300

> From: Juri Linkov <[email-masked]>
> Date: Fri, 07 Sep 2018 00:56:51 +0300
> Cc: [email-masked]
> 
> The special case is in next-error-no-select.  Its purpose is to display
> the next-error buffer (the buffer with the location of the next-error),
> not to display next-error-last-buffer (the buffer with the list of errors)
> because next-error-last-buffer is already displayed.  The user runs
> next-error-no-select from the selected window that already displays
> next-error-last-buffer, there is no need to try and display the same
> buffer again.  This behavior is not even documented.

Can we please document all this?  I don't see how could anyone glean
all that from the available documentation.

And I think it's high time to have next-error facilities described in
all pertinent details in the ELisp manual.  It is way too complex and
powerful not to be mentioned there even as a hint.

Thanks.